#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	DOM level2 library for accessing XML files
Summary(pl.UTF-8):	Biblioteka dostępu do plików XML, DOM poziom 2
Name:		gdome2
Version:	0.8.1
Release:	10
License:	LGPL
Group:		Libraries
Source0:	http://gdome2.cs.unibo.it/tarball/%{name}-%{version}.tar.gz
# Source0-md5:	bfc114e59eec50cbda8e4ece751ff022
Patch0:		%{name}-glib2.patch
Patch1:		%{name}-build_fix.patch
URL:		http://gdome2.cs.unibo.it/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.26
BuildRequires:	pkgconfig
Requires:	libxml2 >= 2.4.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description -l pl.UTF-8
gdome2 jest szybką, lekką i kompletną implementacją poziomu 2 DOM
opartą o libxml2. Pomimo, że gdome2 zostało napisane z myślą o
projekcie GNOME, może być używane samodzielnie.

Implementacja DOM (zwana również implementacją hosta) udostępnia
przeanalizowany składniowo dokument XML lub HTML w celu dalszego
jego przetwarzania poprzez interfejs DOM.

gdome2 w chwili obecnej wspiera następujące moduły rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (więcej informacji można
uzyskać pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszłości ma zostać
pełną implementacją standardu poziomu 2 DOM.

gdome2 wspiera również częściowo poziom 3 DOM, konkretnie XPath.

%package devel
Summary:	Development files for gdome2
Summary(pl.UTF-8):	Pliki nagłówkowe gdome2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.2.0
Requires:	libxml2-devel >= 2.4.26

%description devel
This package contains the header files and configuration scripts for
developing with gdome2.

gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe oraz skrypty konfiguracyjne
potrzebne do rozwijania oprogramowania opartego o gdome2.

gdome2 jest szybką, lekką i kompletną implementacją poziomu 2 DOM
opartą o libxml2. Pomimo, że gdome2 zostało napisane z myślą o
projekcie GNOME, może być używane samodzielnie.

Implementacja DOM (zwana również implementacją hosta) udostępnia
przeanalizowany składniowo dokument XML lub HTML w celu dalszego
jego przetwarzania poprzez interfejs DOM.

gdome2 w chwili obecnej wspiera następujące moduły rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (więcej informacji można
uzyskać pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszłości ma zostać
pełną implementacją standardu poziomu 2 DOM.

gdome2 wspiera również częściowo poziom 3 DOM, konkretnie XPath.

%package static
Summary:	Static libraries for gdome2
Summary(pl.UTF-8):	Biblioteki statyczne dla gdome2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for developing with gdome2.

%description static -l pl.UTF-8
Pakiet ten zawiera statyczne biblioteki potrzebne do rozwijania
oprogramowania opartego o gdome2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

echo 'AM_DEFUN([AM_PATH_GLIB], [$3])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc gtk-doc/html/*.html
%attr(755,root,root) %{_bindir}/gdome-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/libgdome
%{_mandir}/man1/gdome-config.1*
%{_aclocaldir}/%{name}.m4
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif
%changelog
* Tue Jul 02 2013 Marcin Krol <hawk@tld-linux.org> c7926aa
- build fix from Debian

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> de41a0a
- rel 9

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 7985501
- dropped pre-cvs changelog

* Fri Sep 07 2007 witekfl <witekfl@pld-linux.org> db7b5de
- added bcond_without static_libs

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c22f288
- rel 8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5f7ffb3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cd3afcf
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> dcb506a
- rel 7

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> 91fd153
- fix unset @GLIB_CONFIG@ in gdome-config, rel. 6

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> a964347
- fix unset @GLIB_CONFIG@ in gdome-config

* Sun Oct 16 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ddb50b
- rel 5; always build with glib2

* Sun Oct 16 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> e7ee253
- drop glib1 part

* Sun Oct 16 2005 darekr <darekr@pld-linux.org> f79d81a
- strict deps

* Sun Oct 16 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1b9e0a9
- added BR: pkgconfig ; release 4

* Sun Oct 16 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> fc572cd
- rel 3

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> 2543afd
- pl fixes, cosmetics

* Fri Nov 21 2003 Jakub Bogusz <qboosh@pld-linux.org> bf83184
- cleanup, release 2

* Fri Nov 21 2003 Jakub Bogusz <qboosh@pld-linux.org> 4d71b31
- updated glib2-devel deps (>= 2.2.0 now) and glib1 bcond (glib2 is default now)
- added acinclude hack not to require both glib*-devel packages
- closes BTS#771

* Wed Oct 08 2003 grzegol <grzegol@pld-linux.org> 1728c06
- outdated

* Wed Oct 08 2003 grzegol <grzegol@pld-linux.org> a235327
- updated to 0.8.1
- removed outdated ac patch (already in sources)

